> ## Documentation Index
> Fetch the complete documentation index at: https://kosli-reference-docs-v2-30-1.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List flows

> List flows for an organization.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /flows/{org}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /flows/{org}:
    get:
      tags:
        - Flows
      summary: List flows
      description: List flows for an organization.
      operationId: get_flows
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: search_by_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Return flows that contain the given string in their name. Only
              alphanumeric characters and '-' are allowed.
            title: Search By Name
          description: >-
            Return flows that contain the given string in their name. Only
            alphanumeric characters and '-' are allowed.
        - name: case_sensitive
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether the search_by_name filter is case sensitive. Defaults to
              true.
            default: true
            title: Case Sensitive
          description: >-
            Whether the search_by_name filter is case sensitive. Defaults to
            true.
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            description: The page number of response
            default: 1
            title: Page
          description: The page number of response
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: >-
              How many results to return per page. When omitted, all flows are
              returned as a plain list (no pagination envelope).
            title: Per Page
          description: >-
            How many results to return per page. When omitted, all flows are
            returned as a plain list (no pagination envelope).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ListFlows'
                  - type: array
                    items:
                      $ref: '#/components/schemas/FlowList'
                title: Response Get Flows
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    ListFlows:
      properties:
        data:
          items:
            $ref: '#/components/schemas/FlowList'
          type: array
          title: Data
          description: List of flows
        pagination:
          anyOf:
            - $ref: '#/components/schemas/ListFlowsPagination'
            - type: 'null'
          description: Pagination info (only present when there are multiple pages)
      type: object
      required:
        - data
      title: ListFlows
      description: >-
        Response model for listing flows with pagination.


        When pagination is not requested, the endpoint returns a list of flows

        directly (backwards compatible with the CLI). When pagination is
        requested,

        it returns data with optional pagination info.
    FlowList:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        visibility:
          type: string
          enum:
            - public
            - private
          title: Visibility
        org:
          type: string
          title: Org
        template:
          title: Template
        repo_url:
          anyOf:
            - type: string
            - type: string
              const: ''
            - type: 'null'
          title: Repo Url
        tags:
          anyOf:
            - {}
            - type: 'null'
          title: Tags
      type: object
      required:
        - id
        - name
        - description
        - visibility
        - org
        - template
      title: FlowList
    ListFlowsPagination:
      properties:
        total:
          type: integer
          title: Total
          description: Total number of flows
        page:
          type: integer
          title: Page
          description: Current page number
        per_page:
          type: integer
          title: Per Page
          description: Number of items per page
        page_count:
          type: integer
          title: Page Count
          description: Total number of pages
      type: object
      required:
        - total
        - page
        - per_page
        - page_count
      title: ListFlowsPagination
      description: Pagination info for the list flows response.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````